package net.wanji.opt.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hfx
 * @date 2023/1/12 09:11
 * @desc 路口实时数据
 */
@Data
@ApiModel(value = "CrossDataRealtimeDTO", description = "路口实时数据")
public class CrossDataRealtimeDTO {

    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;

    @ApiModelProperty(name = "路口状态：0正常；1失衡；2拥堵；3溢出；4死锁",notes = "")
    private Integer status;

    @ApiModelProperty(name = "交通流量（辆）",notes = "")
    private Integer flow;

    @ApiModelProperty(name = "平均速度（km/h）",notes = "")
    private Double speed;

    @ApiModelProperty(name = "停车次数（次）",notes = "")
    private Double stopTimes;

    @ApiModelProperty(name = "延误时间（秒）",notes = "")
    private Integer delayTime;

    @ApiModelProperty(name = "饱和度",notes = "")
    private Double sturation;

    @ApiModelProperty(name = "数据批次",notes = "")
    private Integer batchTime;

    @ApiModelProperty(name = "路口方向列表",notes = "")
    List<CrossDirInfoDTO> dirList;

    @ApiModelProperty(name = "路口转向列表",notes = "")
    List<CrossTurnInfoDTO> turnList;

}
