package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Pattern;

/**
 * @author Kent HAN
 * @date 2023/3/2 10:02
 */
@Data
public class DiagnoCrossListDTO {
    @ApiModelProperty(name = "名称",notes = "")
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,20}$", message = "路口名称只能包含中文、英文、数字、下划线和中横线,0~20个字符")
    private String name;

    @ApiModelProperty(name = "应用对象 1路口；2干线；3区域",notes = "")
    private Integer target;
}
