package net.wanji.opt.dto.strategy;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Pattern;

/**
 * @author Kent HAN
 * @date 2023/2/27 9:39
 */
@Data
@ApiModel(value = "AddOrUpdateIdeaDTO", description = "策略管理-方法库-新增/修改方法")
public class AddOrUpdateIdeaDTO {
    @ApiModelProperty(value = "方法ID（不传ID为新增，传ID为修改）",notes = "")
    private Integer id ;
    @ApiModelProperty(value = "编号",required = true, notes = "")
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,16}$", message = "编号只能包含中文、英文、数字、下划线和中横线,0~16个字符")
    private String ideaCode ;
    /** 优化方法 */
    @ApiModelProperty(value = "优化方法",required = true,notes = "")
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,50}$", message = "优化方法只能包含中文、英文、数字、下划线和中横线,0~50个字符")
    private String ideaName ;
    /** 应用对象 1路口；2干线；3区域 */
    @ApiModelProperty(value = "应用对象 1路口；2干线；3区域",required = true,notes = "")
    private Integer ideaTarget;
    /** 优化详情 */
    @ApiModelProperty(value = "优化详情",required = true,notes = "")
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,50}$", message = "优化详情只能包含中文、英文、数字、下划线和中横线,0~50个字符")
    private String ideaDetail ;
}
