package net.wanji.opt.dto.strategy;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Pattern;

/**
 * @author Kent HAN
 * @date 2023/2/27 9:39
 */
@Data
@ApiModel(value = "AddOrUpdateStrategyDTO", description = "策略管理-策略库-新增/修改策略")
public class AddOrUpdateStrategyDTO {
    @ApiModelProperty(value = "策略ID（不传ID为新增，传ID为修改）",notes = "")
    private Integer id ;
    @ApiModelProperty(value = "编号",required = true, notes = "")
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,16}$", message = "编号只能包含中文、英文、数字、下划线和中横线,0~16个字符")
    private String strategyCode ;
    /** 优化方法 */
    @ApiModelProperty(value = "策略名称",required = true,notes = "")
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,50}$", message = "策略名称只能包含中文、英文、数字、下划线和中横线,0~50个字符")
    private String strategyName ;
    /** 应用对象 1路口；2干线；3区域 */
    @ApiModelProperty(value = "应用对象 1路口；2干线；3区域",required = true,notes = "")
    private Integer strategyTarget;
    /** 优化详情 */
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,50}$", message = "策略详情只能包含中文、英文、数字、下划线和中横线,0~50个字符")
    @ApiModelProperty(value = "策略详情",required = true,notes = "")
    private String strategyDetail ;
}
